org.apache.fontbox.cff

## Enum CharStringCommand.Type1KeyWord

- java.lang.Object
- - java.lang.Enum<CharStringCommand.Type1KeyWord>
  - - org.apache.fontbox.cff.CharStringCommand.Type1KeyWord

All Implemented Interfaces:
  Serializable, Comparable<CharStringCommand.Type1KeyWord>

Enclosing class:
  CharStringCommand

    public static enum CharStringCommand.Type1KeyWord
    extends Enum<CharStringCommand.Type1KeyWord>

Enum of all valid type1 key words

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CALLOTHERSUBR`
`CALLSUBR`
`CLOSEPATH`
`DIV`
`DOTSECTION`
`ENDCHAR`
`ESCAPE`
`HLINETO`
`HMOVETO`
`HSBW`
`HSTEM`
`HSTEM3`
`HVCURVETO`
`POP`
`RET`
`RLINETO`
`RMOVETO`
`RRCURVETO`
`SBW`
`SEAC`
`SETCURRENTPOINT`
`VHCURVETO`
`VLINETO`
`VMOVETO`
`VSTEM`
`VSTEM3`

### Method Summary

All Methods Static Methods Concrete Methods
`static CharStringCommand.Type1KeyWord` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CharStringCommand.Type1KeyWord` `valueOfKey(CharStringCommand.Key key)`
`static CharStringCommand.Type1KeyWord` `valueOfKey(int b0)`
`static CharStringCommand.Type1KeyWord` `valueOfKey(int b0, int b1)`
`static CharStringCommand.Type1KeyWord[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HSTEM

    public static final CharStringCommand.Type1KeyWord HSTEM

#### VSTEM

    public static final CharStringCommand.Type1KeyWord VSTEM

#### VMOVETO

    public static final CharStringCommand.Type1KeyWord VMOVETO

#### RLINETO

    public static final CharStringCommand.Type1KeyWord RLINETO

#### HLINETO

    public static final CharStringCommand.Type1KeyWord HLINETO

#### VLINETO

    public static final CharStringCommand.Type1KeyWord VLINETO

#### RRCURVETO

    public static final CharStringCommand.Type1KeyWord RRCURVETO

#### CLOSEPATH

    public static final CharStringCommand.Type1KeyWord CLOSEPATH

#### CALLSUBR

    public static final CharStringCommand.Type1KeyWord CALLSUBR

#### RET

    public static final CharStringCommand.Type1KeyWord RET

#### ESCAPE

    public static final CharStringCommand.Type1KeyWord ESCAPE

#### DOTSECTION

    public static final CharStringCommand.Type1KeyWord DOTSECTION

#### VSTEM3

    public static final CharStringCommand.Type1KeyWord VSTEM3

#### HSTEM3

    public static final CharStringCommand.Type1KeyWord HSTEM3

#### SEAC

    public static final CharStringCommand.Type1KeyWord SEAC

#### SBW

    public static final CharStringCommand.Type1KeyWord SBW

#### DIV

    public static final CharStringCommand.Type1KeyWord DIV

#### CALLOTHERSUBR

    public static final CharStringCommand.Type1KeyWord CALLOTHERSUBR

#### POP

    public static final CharStringCommand.Type1KeyWord POP

#### SETCURRENTPOINT

    public static final CharStringCommand.Type1KeyWord SETCURRENTPOINT

#### HSBW

    public static final CharStringCommand.Type1KeyWord HSBW

#### ENDCHAR

    public static final CharStringCommand.Type1KeyWord ENDCHAR

#### RMOVETO

    public static final CharStringCommand.Type1KeyWord RMOVETO

#### HMOVETO

    public static final CharStringCommand.Type1KeyWord HMOVETO

#### VHCURVETO

    public static final CharStringCommand.Type1KeyWord VHCURVETO

#### HVCURVETO

    public static final CharStringCommand.Type1KeyWord HVCURVETO

### Method Detail

#### values

    public static CharStringCommand.Type1KeyWord[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CharStringCommand.Type1KeyWord c : CharStringCommand.Type1KeyWord.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CharStringCommand.Type1KeyWord valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### valueOfKey

    public static CharStringCommand.Type1KeyWord valueOfKey(int b0)

#### valueOfKey

    public static CharStringCommand.Type1KeyWord valueOfKey(int b0,
                                                            int b1)

#### valueOfKey

    public static CharStringCommand.Type1KeyWord valueOfKey(CharStringCommand.Key key)